package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 处方药品对象 fs_prescribe_drug
 * 
 * @author fs
 * @date 2022-03-15
 */
public class FsPrescribeDrug extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long drugId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long prescribeId;

    /** 药品名称 */
    @Excel(name = "药品名称")
    private String drugCommonName;

    /** 规格 */
    @Excel(name = "规格")
    private String drugSpecification;

    /** 使⽤⽅法 */
    @Excel(name = "使⽤⽅法")
    private String usageMethod;

    /** 药品频次 */
    @Excel(name = "药品频次")
    private String usageFrequencyUnit;

    /** 每次⽤药数量 */
    @Excel(name = "每次⽤药数量")
    private String usagePerUseCount;

    /** 每次⽤药单位 */
    @Excel(name = "每次⽤药单位")
    private String usagePerUseUnit;

    /** 天数 */
    @Excel(name = "天数")
    private String usageDays;

    /** 药品数量 */
    @Excel(name = "药品数量")
    private String saleAmount;

    /** 药品数量单位 */
    @Excel(name = "药品数量单位")
    private String saleUnit;

    /** 药品说明书 */
    @Excel(name = "药品说明书")
    private String instructions;

    /** $column.columnComment */
    @Excel(name = "药品说明书")
    private String approvalNumber;

    /** 产品ID */
    @Excel(name = "产品ID")
    private Integer productId;

    public void setDrugId(Long drugId) 
    {
        this.drugId = drugId;
    }

    public Long getDrugId() 
    {
        return drugId;
    }
    public void setPrescribeId(Long prescribeId) 
    {
        this.prescribeId = prescribeId;
    }

    public Long getPrescribeId() 
    {
        return prescribeId;
    }
    public void setDrugCommonName(String drugCommonName) 
    {
        this.drugCommonName = drugCommonName;
    }

    public String getDrugCommonName() 
    {
        return drugCommonName;
    }
    public void setDrugSpecification(String drugSpecification) 
    {
        this.drugSpecification = drugSpecification;
    }

    public String getDrugSpecification() 
    {
        return drugSpecification;
    }
    public void setUsageMethod(String usageMethod) 
    {
        this.usageMethod = usageMethod;
    }

    public String getUsageMethod() 
    {
        return usageMethod;
    }
    public void setUsageFrequencyUnit(String usageFrequencyUnit) 
    {
        this.usageFrequencyUnit = usageFrequencyUnit;
    }

    public String getUsageFrequencyUnit() 
    {
        return usageFrequencyUnit;
    }
    public void setUsagePerUseCount(String usagePerUseCount) 
    {
        this.usagePerUseCount = usagePerUseCount;
    }

    public String getUsagePerUseCount() 
    {
        return usagePerUseCount;
    }
    public void setUsagePerUseUnit(String usagePerUseUnit) 
    {
        this.usagePerUseUnit = usagePerUseUnit;
    }

    public String getUsagePerUseUnit() 
    {
        return usagePerUseUnit;
    }
    public void setUsageDays(String usageDays) 
    {
        this.usageDays = usageDays;
    }

    public String getUsageDays() 
    {
        return usageDays;
    }
    public void setSaleAmount(String saleAmount) 
    {
        this.saleAmount = saleAmount;
    }

    public String getSaleAmount() 
    {
        return saleAmount;
    }
    public void setSaleUnit(String saleUnit) 
    {
        this.saleUnit = saleUnit;
    }

    public String getSaleUnit() 
    {
        return saleUnit;
    }
    public void setInstructions(String instructions) 
    {
        this.instructions = instructions;
    }

    public String getInstructions() 
    {
        return instructions;
    }
    public void setApprovalNumber(String approvalNumber) 
    {
        this.approvalNumber = approvalNumber;
    }

    public String getApprovalNumber() 
    {
        return approvalNumber;
    }
    public void setProductId(Integer productId) 
    {
        this.productId = productId;
    }

    public Integer getProductId() 
    {
        return productId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("drugId", getDrugId())
            .append("prescribeId", getPrescribeId())
            .append("drugCommonName", getDrugCommonName())
            .append("drugSpecification", getDrugSpecification())
            .append("usageMethod", getUsageMethod())
            .append("usageFrequencyUnit", getUsageFrequencyUnit())
            .append("usagePerUseCount", getUsagePerUseCount())
            .append("usagePerUseUnit", getUsagePerUseUnit())
            .append("usageDays", getUsageDays())
            .append("saleAmount", getSaleAmount())
            .append("saleUnit", getSaleUnit())
            .append("instructions", getInstructions())
            .append("approvalNumber", getApprovalNumber())
            .append("productId", getProductId())
            .toString();
    }
}
